# Add Payment

The Payment step takes place in a ticketing workbench session and applies the payment sent previously in the Form of Payment request to the offer/s specified in the Payment request payload. Payment can be sent for any type of offer, including air, seats, and ancillaries. Payment can be made for multiple offers and multiple types of offers in the same request. Form of payment information must either already be present in the reservation or the workbench. At workbench commit, tickets or EMDs are issued for any offer payment has been sent for. Payment is also required prior to ticketing when exchanging tickets in the case of an even exchange, or an add collect (price of new itinerary is greater than existing itinerary). In the case of an add collect, send Payment with a zero amount in Amount/value. See the [Exchange, Refund, and Void Guide](https://developer.travelport.com/docs/flights/guides/exchange-refund-and-void-guide) for details.

Endpoint: POST /air/paymentoffer/reservationworkbench/{ReservationResource_Identifier}/payments
Version: 11.35.2
Security: bearerAuth

## Path parameters:

  - `ReservationResource_Identifier` (string, required)
    The Reservation Identifier you wish to add the payment to

## Header parameters:

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

## Request fields (application/json):

  - `@type` (string, required)
    Discriminator classes PaymentID or Payment
    Example: Payment

  - `id` (string)
    Customer-assigned identifier for the payment.

  - `PaymentRef` (string)
    Customer-assigned name for the payment.

  - `Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `Amount` (object, required)
    A monetary amount, up to 4 decimal places. Decimal place must be included.

  - `Amount.value` (number)
    The amount of a given currency.
    Example: 124.56

  - `Amount.code` (string)
    An ISO 4217 alpha character code (3 characters) that specifies a money unit.
    Example: USD

  - `Amount.minorUnit` (integer)
    Minor units are a mechanism for expressing the relationship between a major currency unit and its corresponding minor currency unit.  
It is the smallest unit of a given currency. For example; the smallest denomination in USD is the cent, which is 1/100 of a USD, and the minor unit value is 2. Not all currencies have a minor unit.
    Example: 2

  - `Amount.currencySource` (string)
    The system requesting or returning the currency code specified in the attribute
    Enum: "Supplier", "Charged", "Requested"

  - `Amount.approximateInd` (boolean)
    If true, the currency amount has been converted from the original amount.  
For Air Exchange Eligibility, returned only if a currency is converted. If returned, the value is always true, indicating that the fee is approximate because of currency conversion.  
For Hotel Availability and Rules, true indicates this is a calculated value; false indicates this is the value returned by the property.
    Example: true

  - `FormOfPaymentIdentifier` (object)
    The Travelport-assigned identifier for the FOP used for purchase.

  - `FormOfPaymentIdentifier.@type` (string)
    Example: FormOfPaymentPaymentCash

  - `FormOfPaymentIdentifier.id` (string)
    Form of payment identifier reference ID.

  - `FormOfPaymentIdentifier.FormOfPaymentRef` (string)

  - `FormOfPaymentIdentifier.activeInd` (boolean)
    If true, this form of payment will be used for document issuance and override any other form of payment in the reservation.
    Example: true

  - `OfferIdentifier` (array)

  - `OfferIdentifier.id` (string)
    Local identifier within a given message for this object.
    Example: offer_1

  - `OfferIdentifier.offerRef` (string)
    Used to reference another instance of this object in the same message
    Example: offer_1

  - `Fees` (object)
    Includes TotalFees object to return the sum total of any fees.  
May include array of Fee objects to break down individual fees.  
Child class FeesDetail may also include a breakdown of the individual fees.

  - `Fees.@type` (string, required)
    Discriminator. Child class FeesDetail
    Example: FeesDetail

  - `Fees.TotalFees` (number)
    Total fees included in the TotalPrice. Supports up to 4 decimal places; decimal place needs to be included.
    Example: 111.11

  - `Fees.TotalAdditionalFeesPayableLocally` (number)
    Fees due separately at the property. Expected to be paid in local currency. These fees are not included in the Offer TotalPrice.
    Example: 2.1

  - `Taxes` (object)
    Summary of all individual taxes. Child class TaxesDetail provides the breakdown of individual taxes.

  - `Taxes.@type` (string, required)
    Discriminator class is TaxesDetail
    Example: TaxesDetail

  - `Taxes.TotalTaxes` (number)
    A monetary amount, representing the total of all taxes included in this offer. Supports up to 4 decimal places; decimal place must be included.
    Example: 330.1

  - `Taxes.TaxInfo` (array)
    Returned for TripChange APIS only.

  - `Taxes.TaxInfo.@type` (string)
    Example: TaxInfo

  - `Taxes.TaxInfo.TaxCode` (string, required)
    The tax code
    Example: XF

  - `Taxes.TaxInfo.CurrencyCode` (object)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `Taxes.TaxInfo.CurrencyCode.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `Taxes.TaxInfo.CurrencyCode.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `Taxes.TaxInfo.CurrencyCode.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `Taxes.TaxInfo.CurrencyCode.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `Taxes.TaxInfo.Amount` (number, required)
    The amount of the tax applied

  - `Taxes.TaxInfo.TaxBreakdown` (array, required)
    The breakdown of the tax for this tax code

  - `Taxes.TaxInfo.TaxBreakdown.@type` (string)
    Example: TaxInfo

  - `Taxes.TaxInfo.TaxBreakdown.AirportCode` (string, required)
    The airport location the tax applies to
    Example: MIA

  - `Taxes.TaxInfo.TaxBreakdown.Amount` (number)
    The amount of the tax applied

  - `TravelerIdentifierRef` (array)

  - `TravelerIdentifierRef.value` (string)

  - `TravelerIdentifierRef.id` (string)
    A locally referenced ID

  - `TravelerIdentifierRef.description` (string)
    Descriptive text used to identify the contents of a target object

  - `TravelerIdentifierRef.uris` (array)
    Uniform Resource Identifier

  - `depositInd` (boolean)
    If true, the payment is a deposit on the referenced Offer; at booking the provided card is charged for deposit or prepay rate.

  - `ExtendedPayment` (object)
    Note this field is deprecated in Payment schema and should be passed in FormOfPaymentPaymentCardExtendPayment schema

  - `ExtendedPayment.NumberOfInstallments` (integer, required)
    The number of installment payments to be charged by the payment card provider
    Example: 6

  - `ExtendedPayment.FirstInstallment` (number)
    For Pagos Parceledos, specify the first installment amount. This will be the same currency as the payment
    Example: 100

  - `ExtendedPayment.RemainingAmount` (number)
    For Pagos Parceledos, specify the remaining amount to be charged that will be spread across the number of installments. This will be the same currency as the payment
    Example: 50

  - `ExtendedPayment.OTATOCode` (string)
    For Pagos Parceledos the OTATOCode

  - `AgencyServiceFeeIdentifier` (array)

  - `AgencyServiceFeeIdentifier.id` (string)
    Unique id for this object within a message

  - `guaranteeInd` (boolean)
    If true, the payment is a guarantee for the referenced Offer; no amounts are charged at booking; the customer is to make payment in person upon arrival.

## Response 200 fields (application/json):

  - `PaymentResponse` (object)
    The response of a Payment endpoint request.

  - `PaymentResponse.@type` (string)
    Example: response

  - `PaymentResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `PaymentResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `PaymentResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `PaymentResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `PaymentResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `PaymentResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `PaymentResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `PaymentResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `PaymentResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `PaymentResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `PaymentResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `PaymentResponse.Result.Error.NameValuePair` (array)

  - `PaymentResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `PaymentResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `PaymentResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `PaymentResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `PaymentResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `PaymentResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `PaymentResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `PaymentResponse.Result.Warning.NameValuePair` (array)

  - `PaymentResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `PaymentResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `PaymentResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `PaymentResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `PaymentResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `PaymentResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `PaymentResponse.NextSteps.NextStep` (array, required)

  - `PaymentResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `PaymentResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `PaymentResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `PaymentResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `PaymentResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `PaymentResponse.ReferenceList` (array)

  - `PaymentResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `PaymentResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `PaymentResponse.CurrencyRateConversion` (array)

  - `PaymentResponse.CurrencyRateConversion.@type` (string)

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `PaymentResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `PaymentResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `PaymentResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `PaymentResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `PaymentResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `PaymentResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `PaymentResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `PaymentResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `PaymentResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `PaymentResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 201 fields (application/json):

  - `PaymentResponse` (object)
    The response of a Payment endpoint request.

  - `PaymentResponse.@type` (string)
    Example: response

  - `PaymentResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `PaymentResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `PaymentResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `PaymentResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `PaymentResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `PaymentResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `PaymentResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `PaymentResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `PaymentResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `PaymentResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `PaymentResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `PaymentResponse.Result.Error.NameValuePair` (array)

  - `PaymentResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `PaymentResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `PaymentResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `PaymentResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `PaymentResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `PaymentResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `PaymentResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `PaymentResponse.Result.Warning.NameValuePair` (array)

  - `PaymentResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `PaymentResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `PaymentResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `PaymentResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `PaymentResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `PaymentResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `PaymentResponse.NextSteps.NextStep` (array, required)

  - `PaymentResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `PaymentResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `PaymentResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `PaymentResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `PaymentResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `PaymentResponse.ReferenceList` (array)

  - `PaymentResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `PaymentResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `PaymentResponse.CurrencyRateConversion` (array)

  - `PaymentResponse.CurrencyRateConversion.@type` (string)

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `PaymentResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `PaymentResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `PaymentResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `PaymentResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `PaymentResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `PaymentResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `PaymentResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `PaymentResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `PaymentResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `PaymentResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `PaymentResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 401 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 402 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 403 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 404 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 500 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
[...]
